Subject: Agency Agreement Draft
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 6 Sep 2000 04:43:00 -0700 (PDT)

I attach for your review the redraft of the Agency Agreement.  Changes can be 
viewed (or ignored) by turning on (or off) the Track Changes imaging in 
Word's "Tools" section of the menu bar.

By the way, I did not spell out the payment account mechanics, since I 
understood that these would require discussions between you and Peoples.  I 
will separately forward Boyd's analysis of the regulatory impact of sending 
invoices instructing shippers to make their checks payable directly to MEH, 
as agent, instead of directly to Peoples (conclusion: acceptable, but they 
might want to tweak the GT&C to reflect it).

Please call me if you have any questions whatsoever.

Thanks!  DT

 - #1127382 v13 - NEW AGENCY AGREEMENT.doc